<?php
session_start(); // Creates a new session ID file / Retrieves a current session ID file.
include('mysqli_connect.php'); // Make sure that there aren't any white spaces contained from the file.

// Pass form data
$username = mysqli_real_escape_string($dbc, trim($_POST['username']));
$password = mysqli_real_escape_string($dbc, trim($_POST['password']));

// Formulate the query to check if password matches with the database
$query = "SELECT * from Users WHERE Username = '$username' AND Password = SHA2('$password', 256)"; 
// Oliver_Queen, oliverqueen -> 0 rows will be retrieved.
// Oliver_Queen, oqueen -> 0 rows will be retrieved.
// Oliver_Queen, starcity52 -> 1 row will be retrieved.
// Run the query
$result = mysqli_query($dbc, $query);

$row_cnt = mysqli_num_rows($result);

if($row_cnt == 1){ // if there is a match found
    // Set a session variable
    $_SESSION['username'] = $username; // Defines a session variable (A key value pair is stored in the session array. -> Can be accessed later.
    
    // After we set up a session variable and before redirect
    $row = mysqli_fetch_array($result, MYSQLI_ASSOC); // This fetches user's row from the database.
    $_SESSION['fname'] = $row['FirstName'];
    $_SESSION['email'] = $row['Email'];
    $_SESSION['is_admin'] = $row['is_admin'];
    
    if ($row['is_admin'] == '1') { // Homework: Set up a (0/1, yes/no) column called is_admin => $row['is_admin'] == 1.
        header('Location: secret_admin_page.php');
        exit();
    }else{
        header('Location: secret_page.php');
        exit();
    }

    // Redirect user to the secret page
    header("Location: secret_page.php"); // This tells the browser which page to load next.
    exit(); // Terminate the current script.

}else{ // else, no match
    // Redirect user to the login page
    header("Location: login_form.php");
    exit();
    
}
?>